<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesAlarma.home.createOrEditLabel"
          data-cy="AlarmaCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesAlarma.home.createOrEditLabel')"
        >
          Create or edit a Alarma
        </h2>
        <div>
          <div class="form-group" v-if="alarma.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="alarma.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAlarma.timeInstant')" for="alarma-timeInstant"
              >Time Instant</label
            >
            <div class="d-flex">
              <input
                id="alarma-timeInstant"
                data-cy="timeInstant"
                type="datetime-local"
                class="form-control"
                name="timeInstant"
                :class="{ valid: !$v.alarma.timeInstant.$invalid, invalid: $v.alarma.timeInstant.$invalid }"
                :value="convertDateTimeFromServer($v.alarma.timeInstant.$model)"
                @change="updateInstantField('timeInstant', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAlarma.descripcion')" for="alarma-descripcion"
              >Descripcion</label
            >
            <input
              type="text"
              class="form-control"
              name="descripcion"
              id="alarma-descripcion"
              data-cy="descripcion"
              :class="{ valid: !$v.alarma.descripcion.$invalid, invalid: $v.alarma.descripcion.$invalid }"
              v-model="$v.alarma.descripcion.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAlarma.procedimiento')" for="alarma-procedimiento"
              >Procedimiento</label
            >
            <input
              type="text"
              class="form-control"
              name="procedimiento"
              id="alarma-procedimiento"
              data-cy="procedimiento"
              :class="{ valid: !$v.alarma.procedimiento.$invalid, invalid: $v.alarma.procedimiento.$invalid }"
              v-model="$v.alarma.procedimiento.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAlarma.titulo')" for="alarma-titulo">Titulo</label>
            <input
              type="text"
              class="form-control"
              name="titulo"
              id="alarma-titulo"
              data-cy="titulo"
              :class="{ valid: !$v.alarma.titulo.$invalid, invalid: $v.alarma.titulo.$invalid }"
              v-model="$v.alarma.titulo.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAlarma.verificar')" for="alarma-verificar">Verificar</label>
            <input
              type="checkbox"
              class="form-check"
              name="verificar"
              id="alarma-verificar"
              data-cy="verificar"
              :class="{ valid: !$v.alarma.verificar.$invalid, invalid: $v.alarma.verificar.$invalid }"
              v-model="$v.alarma.verificar.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAlarma.observaciones')" for="alarma-observaciones"
              >Observaciones</label
            >
            <input
              type="text"
              class="form-control"
              name="observaciones"
              id="alarma-observaciones"
              data-cy="observaciones"
              :class="{ valid: !$v.alarma.observaciones.$invalid, invalid: $v.alarma.observaciones.$invalid }"
              v-model="$v.alarma.observaciones.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAlarma.prioridad')" for="alarma-prioridad">Prioridad</label>
            <input
              type="text"
              class="form-control"
              name="prioridad"
              id="alarma-prioridad"
              data-cy="prioridad"
              :class="{ valid: !$v.alarma.prioridad.$invalid, invalid: $v.alarma.prioridad.$invalid }"
              v-model="$v.alarma.prioridad.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesAlarma.user')" for="alarma-user">User</label>
            <select class="form-control" id="alarma-user" data-cy="user" name="user" v-model="alarma.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="alarma.user && userOption.id === alarma.user.id ? alarma.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.alarma.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./alarma-update.component.ts"></script>
